# Usamos el ensamble adaboost
#
from sklearn.datasets import load_breast_cancer
from sklearn.model_selection import train_test_split
from sklearn.ensemble import AdaBoostClassifier

# Cagamos la base de datos
cancer = load_breast_cancer()

X = cancer.data
y = cancer.target

# Separamos los datos de entrenamiento y de prueba

X_train, X_test, y_train, y_test = train_test_split(
    X, y, random_state=456 )

# Se crea el modelo
ada = AdaBoostClassifier(n_estimators=100, random_state=3 )

ada.fit(X_train, y_train)

exactitud_entrena = ada.score(X_train, y_train)
exactitud_prueba = ada.score(X_test, y_test)

print( "Entrenamiento:", exactitud_entrena )
print( "Prueba       :", exactitud_prueba )


