# Usamos el ensamble adaboost
#
from sklearn.datasets import load_breast_cancer
from sklearn.model_selection import train_test_split
from sklearn.ensemble import GradientBoostingClassifier

# Cagamos la base de datos
cancer = load_breast_cancer()

X = cancer.data
y = cancer.target

# Separamos los datos de entrenamiento y de prueba

X_train, X_test, y_train, y_test = train_test_split(
    X, y, random_state=456 )

# Se crea el modelo
grad = GradientBoostingClassifier(n_estimators=60, random_state=4,
                              max_depth=4 )

grad.fit(X_train, y_train)

exactitud_entrena = grad.score(X_train, y_train)
exactitud_prueba = grad.score(X_test, y_test)

print( "Entrenamiento:", exactitud_entrena )
print( "Prueba       :", exactitud_prueba )


